Subject: smap with joe yao's patch: localhost

From: Markus Schreier <[email-masked]>
Date: Fri, 09 Jun 2000 15:13:46 +0200

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hello,
i'm still setting up smap and sendmail. I find more and more questions:
Sending mail through the firewall adds the following lines to the
mail-header:

Received: 
from localhost.localdomain ([email-masked] [193.30.132.251])
by gate.ordix.de (8.8.3/8.8.8) with ESMTP id MAA31127 for <[email-masked]>;
Fri, 9 Jun 2000 12:41:14 +0200
Received: 
(from fwtk@localhost) by localhost.localdomain (8.9.3/8.9.3) id MAA07609
for
[email-masked]; Fri, 9 Jun 2000 12:35:41 GMT
Date: 
Fri, 9 Jun 2000 12:35:41 GMT
Message-ID: 
<[email-masked]>
 X-Authentication-Warning: 
localhost.localdomain: fwtk set sender to [email-masked] using -f
Received: 
from merlot.wbn.ordix.de(193.30.132.250) by localhost.localdomain via
smap
V2.1/2.1+anti-relay+anti-spam) id xma007607; Fri, 9 Jun 00 12:35:06 GMT

I would prefer to read the real (full qualified) hostname instead of
localhost. 
If i cahnge /etc/hosts to list the fqdn first for 127.0.0.1 it works all
right. But i mislike the idea of bending localhost not to be localhost.

What can i do?

Thanks a lot
Markus Schreier

ORDIX AG